验价

Verify

post

Dependency: The search function should be called prior to this call.

  • When there is no price change, the "original" and the "new" price and tax will always be the same.

  • When there is price change, there will be some difference between the "original" and the "new" price and tax.

  • If paymentMethod in the request is 5(MoR)the MoR currency will be returned and amount in “VendorFare” and it’s paymentFee in cardChargeList. The paymentFee amount will not be added to the “VendorFare”.

  • If paymentMethod in the request is 3(VCC Passthrough)the VCC Passthrough currency will be returned and amount in “VendorFare” and it’s paymentFee in cardChargeList (if any). The paymentFee amount will be added to the “VendorFare”.

Endpoint: https://sandbox.atriptech.com/verify.do

Header parameters
AcceptstringRequiredExample: application/json
Content-TypestringRequiredExample: application/json
Accept-EncodingstringRequiredExample: gzip
x-atlas-client-idstringRequiredExample: <YOUR_CLIENT_ID>
x-atlas-client-secretstringRequiredExample: <YOUR_CLIENT_SECRET>
Body
routingIdentifierstringRequired

TheroutingIdentifierfrom search response.

maxResponseTimeinteger · nullableOptional

The interface timeout(in milliseconds), with a default of 5000ms. Note: Due to the influence of network transmission and computational performance, the client may still receive a normal result (instead of a timeout) when the response duration exceeds. This time is used to control the overall response duration of the interface within a certain range, and the error generally will not exceed several hundred milliseconds. If you have strict requirements for the timeout time, it is recommended that you set the timeout time of your HTTP tool library. If the HTTP tool library you use does not support this capability, you may need to use other tools to achieve it, and most programming languages provide relevant capabilities.

Default: 15000
requestSourcestring · nullableOptional

The tag to identify which channel does this traffic come from. For example: SkyScanner,Google,Oganic search,etc…

Responses
chevron-right
200Success
application/json
statusinteger · enumRequired
  • 200: Illegal routing identifier. Description: The "routingIdentifier" in request contains invalid content. Please check the content of this field to ensure that the content returned by the search is passed back exactly as it is.
  • 201: Invalid routing. Description: The airline has flights and quotations, but Atlas has closed sales for some reasons. The reasons can be 1) The sales were manually closed 2) The system has detected a risk of sold out 3) Prohibitions on nearby flights. Try booking after some time.
  • 202: Routing identifier expired. Description: The routingIdentifier has a certain validity period. If the “routingIdentifier” is used after this time period, then this error is displayed. Conduct “Search” again and use the new “routingIdentifier”.
  • 203: Airline closed. Description: The airline is no longer in business.
  • 205: Timed out. Description:
  • 207: Flight not available. Description: The required flight is no longer available at the airline's side, possibly due to the flight being sold out.
  • 210: Fare family sold out. Description: The flight or the fare family is no longer available with the airline. Conduct the search again and rebook.
  • 212: Illegal Request Parameter. Description: Some parameters do not meet the requirements. Please adjust them according to the error message.
  • 213: Flight information changed. Description: Conduct the search again and rebook.
  • 222: Fail to obtain baggage from airline. Description: Fail to obtain baggage from airline, pls retry the request.
  • 299: Verify failed. Description: This is an error for which Atlas needs to take action. In some uncontrollable situations, such as network issues, upgrades, and restarts, 299 errors may occur. It is possible that the airline is not available or there are challenges at Atlas' end. Atlas needs to handle these errors internally.
Possible values:
msgstring · nullableOptional

It serves as an additional description of the response result. Especially when the interface reports an error (status !=0), it is usually a human-readable error message. Note: Do not use this field in any programming scenarios. For example, do not judge whether the interface responds successfully based on this field. Instead, you should only determine it by checking whether the status is equal to0at any time.

sessionIdstringRequired

The unique identifier for this verification. It is required when you call order function to make a reservation to identify which flight and fare the client is choosing.

maxSeatsintegerRequired

Max seats allowed when booking. Please refer this element and prevent the end-users to choose more passengers than seat count.

post
/verify.do
200Success

Last updated

Was this helpful?